Bug 147166 - duplicated /etc/vimrc on vim packages
Summary: duplicated /etc/vimrc on vim packages
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vim   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-04 16:52 UTC by Joe Keller
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 14:32:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Keller 2005-02-04 16:52:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Both the vim-common and vim-minimal packages provide the /etc/vimrc 
file.

Version-Release number of selected component (if applicable):
6.3.046-0.30E.1

How reproducible:
Always

Steps to Reproduce:
1.rpm -qf /etc/vimrc
2.
3.
    

Actual Results:  [root@wrx root]# rpm -qf /etc/vimrc
vim-minimal-6.3.046-0.30E.1
vim-common-6.3.046-0.30E.1


Expected Results:  Only one file should be listed.

Additional info:

Most likely /etc/vimrc should be dropped from the vim-minimal %files
section and add vim-common as a dependency or if vim-minimal is not
meant to have any of the common files anymore add a conflict.

Comment 1 Karsten Hopp 2005-02-07 14:32:15 UTC
There are several issues here and I had to pick a solution with
minimal impact:
- vim-minimal doesn't work properly without /etc/vimrc
- the other vim binaries vim/gvim don't work without /etc/vimrc
-> both need to have vimrc included
- vim-minimal needs to be as small as possible to get smaller minimum
  installs, requiring vim-common for one small file out of 20Mb isn't a
  viable solution.

What happens when you update all vim packages is the following:
- vim-minimal gets updated, the new vimrc gets written
- the other vim subpackages get updated, the vimrc from vim-common
gets installed as vimrc.rpmnew. So you end up with a new vimrc and a 
copy of the new vimrc which doesn't break anything


Note You need to log in before you can comment on or make changes to this bug.